#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a,b,x,y;
    scanf("%d",&a);
    scanf("%d",&b);
    scanf("%d",&x);
    scanf("%d",&y);
    if(a==x && y<b){
        printf("drugi");
    }
    else if(x<a && y==b){
        printf("prvi");
    }
    else if(x==a && y==b){
        printf("nijedan");
    }
    else if(x<a && y<b){
        printf("?");
    }
    return 0;
}